html{
    scroll-behavior: smooth;
}

body {
    background-color: hsla(0, 0%, 0%, 0.137);
    margin: 0;
}

nav {
    display: flex;
    justify-content: space-around;
    padding: 15px;
    background-color: white;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
    position: sticky;
    top: 0;
    z-index: 100;
}


.nav-elements {
    display: flex;
    justify-content: space-between;
    gap: 25px;
    list-style: none;
    text-decoration: none;
}

.nav-elements a{
    text-decoration: none;
    color: black;
}

.nav-elements a:active{
    color: black;
}


.nav-elements a:hover{
    color: hsl(0, 61%, 31%);
    cursor: pointer;
}

.logo {
    padding-top: 5px;
    cursor: pointer;
    font-size: 2rem;
}

i {
    color: hsl(0, 63%, 49%);
}

#hero-section {
    text-align: center;
    height: 80vh;
    align-content: center;
    background: radial-gradient(circle at top left, rgba(0, 0, 0, 0.509), rgba(249, 2, 2, 0.331));
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
}

#hero-section h1{
    color: hsla(0, 26%, 96%, 0.991);
    font-size: 3rem;
}

#hero-section p{
    color: rgb(253, 250, 250);
}

#hero-section a:hover{
      background-color: hsl(0, 0%, 80%);
}

.contact {
    background-color: white;
    padding: 5px 15px;
    border-radius: 50px;
    text-decoration: none;
    color: black;
    font-weight: bold;
}

#services h2{
    text-align: center;
    margin-top: 10vh;
    margin-bottom: 5vh;
    font-size: 3rem;
}

.service-card-container{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
    margin: 0px 30px;
    margin-bottom: 20vh;
}

.service-cards {
    background-color: white;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
    padding: 40px 40px;
    transition: all 0.25s ease;
}


.service-cards:hover {
    background-color: #f5f5f5; 
    box-shadow: 0px 7px 27px 0px #000000;
    transform: translateY(-5px);
}

#about {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    margin: 6rem auto;
    gap: 4rem;
    justify-content: space-between;
    align-items: center;
    max-width: 1100px;
}

#about img{
    max-width: 500px;
    width: 100%;
    height: auto;
    border-radius: 20px;
    display: block;
}

#about h3{
    font-weight: bold;
    font-size: 2rem;
    margin-bottom: 10px;
}

#about p{
    padding-right: 3rem;
    margin-top: 0;
    color: hsl(0, 0%, 25%);
    margin-bottom: 30px;
}

#about button{
    border-radius: 6px;
    border: none;
    font-size: 1rem;
    cursor: pointer;

}

#about button:hover{
    background-color: hsl(0, 0%, 80%);
    transform: translateY(-3px);
}

#contact {
    text-align: center;
    padding: 80px 5%;
    
}

.contact-form {
  max-width: 600px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.contact-form input,
.contact-form textarea {
  padding: 15px;
  border: 1px solid #ddd;
  border-radius: 6px;
  font-size: 1rem;
  font-family: inherit;
}

.contact-form button{
    padding: 15px;
    background-color: #333;
    color: white;
    border: none;
    border-radius: 6px;
    font-size: 1rem;
    cursor: pointer;
    transition: background-color 0.2 ease;
}

.contact-form button:hover {
    background-color: #555;
}

footer{
    background-color: #222;
    padding: 8px 40px;
    color: white;
    display: flex;
    justify-content: space-between;
    border-top: 1px solid #333
}


.hamburger{
    display: none;
    flex-direction: column;
    gap: 5px;
    background: none;
    border: none;
    cursor: pointer;
    padding: 8px;
}
/* When the hamburger has the "active" class */
.hamburger.active span:nth-child(1) {
  transform: translateY(8px) rotate(45deg);
}

.hamburger.active span:nth-child(2) {
  opacity: 0;
}

.hamburger.active span:nth-child(3) {
  transform: translateY(-8px) rotate(-45deg);
}

.hamburger span {
  display: block;
  width: 25px;
  height: 3px;
  background-color: #333;
  border-radius: 2px;
  transition: 0.3s;
}

@media (max-width: 768px) {

.hamburger{
    display: flex;
}

nav {
    flex-direction: row;
    

}

.nav-elements{
   display: none;
   width: 100%;
   flex-direction: column;
   text-align: center;
   gap: 1.5rem;
   padding: 1.5rem 0;
   background: white;
}

.nav-elements.active{
    display: flex;
}

nav {
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: end;
    gap: 20px;
}


#about{
    max-width: 100%;
    grid-template-columns: 1fr;
    margin: 4rem 2rem;
}

#about img{
    width: 100%;
    max-width: 500px;
    height: auto;
    border-radius: 20px;
    display: block;
}

#services h2{
    margin-bottom: 4rem;
}

.service-card-container {

    display: flex;
    flex-direction: column;

}
    
}

@media (max-width: 900px){

    #about {
        grid-template-columns: 1fr;
        margin: 4rem 2rem;
        gap: 2rem;
    }

    #about img{
        width: 100%;
        max-width: 500px;
        height: auto;
    }
}


.form-message {
    margin-top: 1.5rem;
    transition: ease-in 0.3s;
    color: green;
}

.reveal {
  opacity: 0;
  transform: translateX(40px);
  transition: opacity 0.7s ease, transform 0.7s ease;
}

.reveal.active {
  opacity: 1;
  transform: translateY(0);
}